Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 607292 - directory ownership problem creates problems when corosync is installed individually with selinux
directory ownership problem creates problems when corosync is installed indiv...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Steven Dake
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 13:54 EDT by Steven Dake
Modified: 2016-04-26 11:31 EDT (History)
6 users (show)

See Also:
Fixed In Version: corosync-1.2.3-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 08:53:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch which removes /var/log/cluster from being owned by cluster package (501 bytes, patch)
2010-06-23 13:56 EDT, Steven Dake
no flags Details | Diff
patch which makes corosync package own /var/log/cluster directory (681 bytes, patch)
2010-06-23 14:03 EDT, Steven Dake
no flags Details | Diff
patch to corosync to make corosync.spec.in own /var/log/cluster and change example config file accordingly (1.02 KB, patch)
2010-06-23 14:16 EDT, Steven Dake
no flags Details | Diff
patch which makes corosync package own /var/log/cluster directory (901 bytes, text/plain)
2010-06-23 14:40 EDT, Steven Dake
no flags Details

  None (edit)
Description Steven Dake 2010-06-23 13:54:23 EDT
Description of problem:
the cluster package owns the directory /var/log/cluster.  In some cases, corosync is installed alone with no cluster package (qpid use case).  In this situation, it is not possible for corosync to log to a file.

I propose having corosync own /var/log/cluster directory.  cluster always depends on corosync, so the directory will always be present once cman installs.

Without this change it is not possible to have corosync log to a file with selinux enabled.

Version-Release number of selected component (if applicable):
cluster 3.0.12-6

How reproducible:


Steps to Reproduce:
1. run corosync (without cluster installed)
2. try to have it log to a file
3. permission denied
  
Actual results:
permission denied

Expected results:
should log to file

Additional info:
Comment 1 Steven Dake 2010-06-23 13:56:19 EDT
Created attachment 426333 [details]
patch which removes /var/log/cluster from being owned by cluster package
Comment 2 Steven Dake 2010-06-23 14:03:23 EDT
Created attachment 426338 [details]
patch which makes corosync package own /var/log/cluster directory
Comment 3 RHEL Product and Program Management 2010-06-23 14:13:00 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Steven Dake 2010-06-23 14:16:36 EDT
Created attachment 426341 [details]
patch to corosync to make corosync.spec.in own /var/log/cluster and change example config file accordingly
Comment 6 Steven Dake 2010-06-23 14:40:41 EDT
Created attachment 426354 [details]
patch which makes corosync package own /var/log/cluster directory
Comment 11 releng-rhel@redhat.com 2010-11-15 08:53:51 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.